## edid-decode 0.1~git20100205.26c03c8e

=== Makefile ===
# ZSH OR DIE, PUNKS

bindir ?= /usr/bin

edid-decode: edid-decode.c
	gcc -g -Wall -o $@ $<

clean:
	rm -f edid-decode
	-echo rm -f edid-decode **/*.jx | zsh -s

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 0755 edid-decode $(DESTDIR)$(bindir)

## edid-decode 0.1~git20140128.afcf2a2e

=== Makefile ===
# ZSH OR DIE, PUNKS

bindir ?= /usr/bin
mandir ?= /usr/share/man

edid-decode: edid-decode.c
	$(CC) -g -Wall -o $@ $<

clean:
	rm -f edid-decode
	-echo rm -f edid-decode **/*.jx | zsh -s

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 0755 edid-decode $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(mandir)/man1
	install -m 0644 edid-decode.1 $(DESTDIR)$(mandir)/man1

=== debian/changelog ===
edid-decode (0.1~git20140128.afcf2a2e-1) unstable; urgency=medium

  * First upload to Debian.
  * New upstream snapshot.
  * New maintainer.
  * Update debian/rules to use the debhelper short form.
  * Patch Makefile to use proper flags.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 29 Jun 2015 13:27:23 +0200

edid-decode (0.1~git20100205.26c03c8e-0ubuntu3) natty; urgency=low

  * The package depends on debhelper >= 7; hence, set debian/compat to "7"
  * Call dh_installchangelogs (LP: #684954)
  * Remove the Uploaders field, it's not needed

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sat, 12 Mar 2011 21:46:48 +0100

edid-decode (0.1~git20100205.26c03c8e-0ubuntu2) natty; urgency=low

  * Disable quilt magic for now as no patches are present. Fix FTBFS

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 21 Nov 2010 12:58:32 +0530

edid-decode (0.1~git20100205.26c03c8e-0ubuntu1) natty; urgency=low

  * Initial release.  Snapshot of edid-decode taken today from:
    http://cgit.freedesktop.org/xorg/app/edid-decode/

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 16 Nov 2010 17:30:46 -0800

=== debian/control ===
Source: edid-decode
Section: x11
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
Standards-Version: 3.9.6

Package: edid-decode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decodes to text the binary EDID information from monitors
 EDID is binary data encoded in the monitor firmware, which the kernel
 exposes via /sys/devices/.../drm/card*/card*/edid.  edid-decode renders
 this binary data into a human-readable text form.

## edid-decode 0.1~git20160708.c72db881

=== debian/changelog ===
edid-decode (0.1~git20160708.c72db881-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add Vcs-* fields.
  * Use a better synopsis in the description field.
  * Use debhelper 10.
  * Add gbp.conf.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 13 Dec 2016 16:43:56 +0100

=== debian/control ===
Source: edid-decode
Section: x11
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper (>= 10),
 pkg-config,
Standards-Version: 3.9.6

Package: edid-decode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: decode the binary EDID information from monitors
 EDID is binary data encoded in the monitor firmware, which the kernel
 exposes via /sys/devices/.../drm/card*/card*/edid.  edid-decode renders
 this binary data into a human-readable text form.

=== debian/rules ===
#!/usr/bin/make -f

# uncomment this to turn off verbose mode.
#export DH_VERBOSE=1

%:
	dh "$@"

## edid-decode 0.1~git20180813.b2da1516

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,11 @@
-# ZSH OR DIE, PUNKS
-
 bindir ?= /usr/bin
 mandir ?= /usr/share/man
 
 edid-decode: edid-decode.c
-	$(CC) -g -Wall -o $@ $<
+	$(CC) $(CFLAGS) $(LDFLAGS) -g -Wall -o $@ $< -lm
 
 clean:
 	rm -f edid-decode
-	-echo rm -f edid-decode **/*.jx | zsh -s
 
 install:
 	mkdir -p $(DESTDIR)$(bindir)

=== debian/changelog ===
edid-decode (0.1~git20180813.b2da1516-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop the patch reimplemented upstream.
  * Actually add Vcs-*.
  * Use debhelper 11.
  * Bump Standards-Version (no changes).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Aug 2018 16:04:46 +0200

## edid-decode 0.1~git20191209.e719d04

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,17 @@
 bindir ?= /usr/bin
 mandir ?= /usr/share/man
 
-edid-decode: edid-decode.c
-	$(CC) $(CFLAGS) $(LDFLAGS) -g -Wall -o $@ $< -lm
+SOURCES = edid-decode.cpp parse-base-block.cpp parse-cta-block.cpp \
+	  parse-displayid-block.cpp parse-ls-ext-block.cpp \
+	  parse-di-ext-block.cpp parse-vtb-ext-block.cpp
+WARN_FLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter
+
+all: edid-decode
+
+sha = -DSHA=$(shell if [ -d .git ]; then git rev-parse HEAD ; else printf '"not available"'; fi)
+
+edid-decode: $(SOURCES) edid-decode.h Makefile
+	$(CXX) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(WARN_FLAGS) -g $(sha) -o $@ $(SOURCES) -lm
 
 clean:
 	rm -f edid-decode

=== debian/changelog ===
edid-decode (0.1~git20191209.e719d04-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:56 +0100

edid-decode (0.1~git20191209.e719d04-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #839150):
    - Full EDID 1.3 support (Closes: #844313).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Dec 2019 21:07:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: edid-decode
 Section: x11
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  pkg-config,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/debian/edid-decode.git
+Vcs-Browser: https://salsa.debian.org/debian/edid-decode
+Homepage: https://git.linuxtv.org/edid-decode.git/
 
 Package: edid-decode
 Architecture: any

=== debian/watch ===
version=4

opts="mode=git, gitmode=full, pgpmode=none, pretty=0.1~git%cd.%h, repack, compression=xz" \
 https://git.linuxtv.org/cgit.cgi/edid-decode.git \
 HEAD

## edid-decode 0.1~git20201230.95d81c9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 bindir ?= /usr/bin
 mandir ?= /usr/share/man
+
+EMXX ?= em++
 
 SOURCES = edid-decode.cpp parse-base-block.cpp parse-cta-block.cpp \
 	  parse-displayid-block.cpp parse-ls-ext-block.cpp \
@@ -8,10 +10,14 @@
 
 all: edid-decode
 
-sha = -DSHA=$(shell if [ -d .git ]; then git rev-parse HEAD ; else printf '"not available"'; fi)
+sha = -DSHA=$(shell if test -d .git ; then git rev-parse --short=12 HEAD ; fi)
+date = -DDATE=$(shell if test -d .git ; then printf '"'; TZ=UTC git show --quiet --date='format-local:%F %T"' --format="%cd"; fi)
 
 edid-decode: $(SOURCES) edid-decode.h Makefile
-	$(CXX) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(WARN_FLAGS) -g $(sha) -o $@ $(SOURCES) -lm
+	$(CXX) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(WARN_FLAGS) -g $(sha) $(date) -o $@ $(SOURCES) -lm
+
+edid-decode.js: $(SOURCES) edid-decode.h Makefile
+	$(EMXX) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(WARN_FLAGS) $(sha) $(date) -s EXPORTED_FUNCTIONS='["_parse_edid"]' -s EXTRA_EXPORTED_RUNTIME_METHODS='["ccall", "cwrap"]' -o $@ $(SOURCES) -lm
 
 clean:
 	rm -f edid-decode

=== debian/changelog ===
edid-decode (0.1~git20201230.95d81c9-2) unstable; urgency=medium

  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set Standards-Version to 4.5.1.
  * Switch to the machine-readable copyright file format.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 01 Jan 2021 23:37:47 +0100

edid-decode (0.1~git20201230.95d81c9-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream URL.
  * Pass the package version to the Makefile.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 01 Jan 2021 23:30:26 +0100

## edid-decode 0.1~git20220315.cb74358c2896

=== Makefile ===
ifeq ($(OS),Windows_NT)
	bindir ?= /usr/bin
	mandir ?= /usr/share/man
else
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S),Darwin)
		bindir ?= /usr/local/sbin
		mandir ?= /usr/local/share/man
	else
		bindir ?= /usr/bin
		mandir ?= /usr/share/man
	endif
endif

EMXX ?= em++

SOURCES = edid-decode.cpp parse-base-block.cpp parse-cta-block.cpp \
	  parse-displayid-block.cpp parse-ls-ext-block.cpp \
	  parse-di-ext-block.cpp parse-vtb-ext-block.cpp \
	  calc-gtf-cvt.cpp calc-ovt.cpp
WARN_FLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wimplicit-fallthrough

all: edid-decode

sha = -DSHA=$(shell if test -d .git ; then git rev-parse --short=12 HEAD ; fi)
date = -DDATE=$(shell if test -d .git ; then TZ=UTC git show --quiet --date='format-local:"%F %T"' --format='%cd'; fi)

edid-decode: $(SOURCES) edid-decode.h oui.h Makefile
	$(CXX) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(WARN_FLAGS) -g $(sha) $(date) -o $@ $(SOURCES) -lm

edid-decode.js: $(SOURCES) edid-decode.h oui.h Makefile
	$(EMXX) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(WARN_FLAGS) $(sha) $(date) -s EXPORTED_FUNCTIONS='["_parse_edid"]' -s EXTRA_EXPORTED_RUNTIME_METHODS='["ccall", "cwrap"]' -o $@ $(SOURCES) -lm

clean:
	rm -f edid-decode

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 0755 edid-decode $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(mandir)/man1
	install -m 0644 edid-decode.1 $(DESTDIR)$(mandir)/man1

=== debian/changelog ===
edid-decode (0.1~git20220315.cb74358c2896-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 30 Mar 2022 11:29:27 +0200

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- sha=-DSHA=$(lastword $(subst ., ,$(DEB_VERSION_UPSTREAM))) date=-DDATE=\""$(shell date -d@$(SOURCE_DATE_EPOCH) '+%F %T')"\"

=== debian/watch ===
version=4

opts="mode=git, gitmode=full, pgpmode=none, pretty=0.1~git%cd.%h, repack, compression=xz" \
 https://git.linuxtv.org/edid-decode.git \
 HEAD

## edid-decode 0.1~git20241119.5332a3b

=== debian/changelog ===
edid-decode (0.1~git20241119.5332a3b-1) bookworm; urgency=medium

  * Update gbp.conf
  * New upstream version 0.1~git20241119.5332a3b
  * Add meson build dependency
  * Fix passing of SHA and DATE

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 25 Nov 2024 22:11:00 +0000

edid-decode (0.1~git20220315.cb74358c2896-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Use UTC date to ensure reproducible builds regardless of
    timezone. (Closes: #1020877)

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 07 Dec 2023 12:32:06 -0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  pkg-config,
-Standards-Version: 4.1.5
+ meson,
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/edid-decode.git
 Vcs-Browser: https://salsa.debian.org/debian/edid-decode
 Homepage: https://git.linuxtv.org/edid-decode.git/

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSHA=$(lastword $(subst ., ,$(DEB_VERSION_UPSTREAM))) -DDATE="$(shell date -u -d@$(SOURCE_DATE_EPOCH) '+%F %T')"
